Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenDomainAttributeTargetImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenAuditableImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenDomainAttributeTargetImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, GenAuditable, GenDomainAttributeTarget, GenRuleTarget

    public class GenDomainAttributeTargetImpl

extends GenAuditableImpl
implements GenDomainAttributeTarget

An implementation of the model object 'Gen Domain Attribute Target'.

The following features are implemented:

- `Attribute`
- `Null As Error`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `attribute` The cached value of the '`Attribute`' reference
`protected static boolean` `NULL_AS_ERROR_EDEFAULT` The default value of the '`Null As Error`' attribute
`protected boolean` `nullAsError` The cached value of the '`Null As Error`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenDomainAttributeTargetImpl()`

Method Summary
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `basicGetAttribute()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.codegen.ecore.genmodel.GenFeature` `getAttribute()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClassifier` `getContext()`
`org.eclipse.emf.codegen.ecore.genmodel.GenClass` `getTargetClass()`
`boolean` `isNullAsError()`
`void` `setAttribute(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newAttribute)`
`void` `setNullAsError(boolean newNullAsError)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenAuditableImpl
`getClientContextID, getTargetClassModelQualifiedName`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenAuditable
`getClientContextID, getTargetClassModelQualifiedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### attribute

    protected org.eclipse.emf.codegen.ecore.genmodel.GenFeature attribute

  The cached value of the '`Attribute`' reference.

  See Also:
    `getAttribute()`
  ** Generated **
  Ordered:

### NULL_AS_ERROR_EDEFAULT

    protected static final boolean NULL_AS_ERROR_EDEFAULT

  The default value of the '`Null As Error`' attribute.

  See Also:
    `isNullAsError()`, Constant Field Values
  ** Generated **
  Ordered:

### nullAsError

    protected boolean nullAsError

  The cached value of the '`Null As Error`' attribute.

  See Also:
    `isNullAsError()`
  ** Generated **
  Ordered:

Constructor Detail

### GenDomainAttributeTargetImpl

    protected GenDomainAttributeTargetImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenAuditableImpl`
  ** Generated **

### getAttribute

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature getAttribute()

  Specified by:
    `getAttribute` in interface `GenDomainAttributeTarget`
  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `GenDomainAttributeTarget.setAttribute(GenFeature)`, `GMFGenPackage.getGenDomainAttributeTarget_Attribute()`
  ** Generated **

### basicGetAttribute

    public org.eclipse.emf.codegen.ecore.genmodel.GenFeature basicGetAttribute()

  ** Generated **

### setAttribute

    public void setAttribute(org.eclipse.emf.codegen.ecore.genmodel.GenFeature newAttribute)

  Specified by:
    `setAttribute` in interface `GenDomainAttributeTarget`
  Parameters:
    `newAttribute` - the new value of the 'Attribute' reference.
  See Also:
    `GenDomainAttributeTarget.getAttribute()`
  ** Generated **

### getContext

    public org.eclipse.emf.codegen.ecore.genmodel.GenClassifier getContext()

  Specified by:
    `getContext` in interface `GenRuleTarget`
  Specified by:
    `getContext` in class `GenAuditableImpl`
  ** Generated **
    NOT

### getTargetClass

    public org.eclipse.emf.codegen.ecore.genmodel.GenClass getTargetClass()

  Specified by:
    `getTargetClass` in interface `GenAuditable`
  Overrides:
    `getTargetClass` in class `GenAuditableImpl`
  ** Generated **
    NOT

### isNullAsError

    public boolean isNullAsError()

  Specified by:
    `isNullAsError` in interface `GenDomainAttributeTarget`
  Returns:
    the value of the 'Null As Error' attribute.
  See Also:
    `GenDomainAttributeTarget.setNullAsError(boolean)`, `GMFGenPackage.getGenDomainAttributeTarget_NullAsError()`
  ** Generated **

### setNullAsError

    public void setNullAsError(boolean newNullAsError)

  Specified by:
    `setNullAsError` in interface `GenDomainAttributeTarget`
  Parameters:
    `newNullAsError` - the new value of the 'Null As Error' attribute.
  See Also:
    `GenDomainAttributeTarget.isNullAsError()`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.